#include<bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fr first
#define sc second
#define FOR(i,x,y) for(int i=x; i<=y; i++)
using namespace std;
void cepi(bool k)
{
//	#ifndef ONLINE_JUDGE
	if(k)freopen("input.txt", "r", stdin);
//	#endif
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
	cerr.tie(nullptr);
}
int n,m,a[20],mm[20][20],soll;
void set0()
{
	FOR(i,1,20)
	FOR(j,1,20)
	mm[i][j]=0;
}
int calc()
{
	int br,sol=0;
	FOR(i,1,m)
	{
		br=0;
		FOR(j,1,n)
		{
			if(mm[j][i]) br++;
		}
		sol+=(n-br)*br;
	}
	return sol;
}
int main()
{
  cepi(0);
  cin>>n>>m;
	FOR(i,1,n) cin>>a[i];
	int ker=77777;
	FOR(i,1,1<<n)
	{
		set0();
		FOR(j,0,n-1)
		{
			if(i&1<<j)
			{
				FOR(k,1,a[j+1]) mm[j+1][k]=1;
			}
			else
			{
				if(a[j+1]==m) FOR(s,1,m) mm[j+1][s]=0;
				else
				for(int k=m;k>m-a[j+1];k--) mm[j+1][k]=1;
			}
		}
		//
	
		//
		ker=min(ker,calc());
	}
	cout<<ker;

	return 0;
}